com.opensymphony.xwork2.factory

## Class DefaultValidatorFactory

- java.lang.Object
- - com.opensymphony.xwork2.factory.DefaultValidatorFactory

- All Implemented Interfaces:
    ValidatorFactory

      public class DefaultValidatorFactory
      extends Object
      implements ValidatorFactory

  Default implementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValidatorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Validator` | `buildValidator(String className, Map<String,Object> params, Map<String,Object> extraContext)` Build a Validator of the given type and set the parameters on it
    `void` | `setObjectFactory(ObjectFactory objectFactory)`
    `void` | `setReflectionProvider(ReflectionProvider reflectionProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValidatorFactory

          public DefaultValidatorFactory()

  - ### Method Detail

    - #### setObjectFactory

          public void setObjectFactory(ObjectFactory objectFactory)

    - #### setReflectionProvider

          public void setReflectionProvider(ReflectionProvider reflectionProvider)

    - #### buildValidator

          public Validator buildValidator(String className,
                                 Map<String,Object> params,
                                 Map<String,Object> extraContext)
                                   throws Exception

      Description copied from interface: `ValidatorFactory`
      Build a Validator of the given type and set the parameters on it
      Specified by:
        `buildValidator` in interface `ValidatorFactory`
      Parameters:
        `className` - the type of Validator to build
        `params` - property name -> value Map to set onto the Validator instance
        `extraContext` - a Map of extra context which uses the same keys as the `ActionContext`
      Returns:
        a validator instance
      Throws:
        `Exception` - in case of any errors

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.